## v-sim 3.6.0

=== debian/changelog ===
v-sim (3.6.0-2) unstable; urgency=low

  * Closes: #632165, remove collision.ascii file from v-sim-doc.

 -- Damien Caliste <damien.caliste@cea.fr>  Fri, 01 Jul 2011 10:31:34 +0200

v-sim (3.6.0-1) unstable; urgency=low

  * New upstream version (new stable branch).
  * Update Standards-Version tag to 3.9.2.0 (change the SONAME of the library).
  * Closes: #599891, autotools used by upstream now include the correction.
  * Add forgotten icons for the hicolor theme in the common package.
  * Remove the old xpm icon.

 -- Damien Caliste <damien.caliste@cea.fr>  Wed, 29 Jun 2011 14:30:34 +0200

v-sim (3.5.2-2) UNRELEASED; urgency=low

  * Standards-Version updated to version 3.9.2
  * Removed myself from the uploader

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Apr 2011 13:51:53 +0200

v-sim (3.5.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Oct 2010 17:55:56 +0200

v-sim (3.5.1-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release of the stable branch).
  * Update Standards-Version tag to 3.8.4 (nothing to change).
  * Closes: #556517, add a -lX11 to the linker when compiling on a X11
    platform with built-in V_Sim OpenGL support.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Mar 2010 11:43:30 +0100

v-sim (3.5.0-2) unstable; urgency=low

   [ Damien Caliste ]
  * Closes: #554339, applying the patch proposed by Nobuhiro Iwamatsu for
    sh4 architectures.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Nov 2009 10:46:34 +0100

v-sim (3.5.0-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (new stable release).
  * Add the new authors to the copyright file.
  * Add the cube plug-in in the configure line.
  * Upgrade standard value field in control file to 3.8.3 (change
    the category in the .desktop file).
  * Change the descriptions of the different package keeping a long
    one for the V_Sim package itself, and reducing it for the other
    packages.
  * Add two lintian override for v-sim package that contains a library
    with a wrong soname and no separeted -dev package. This library is small
    a only used by V_Sim, so there's no requirement for an additional
    package.
  * Remove the installation of README, AUTHORS and NEWS for all packages
    except v-sim-common.
  * Move several files from v-sim/ to doc/v-sim-doc/ directory. Also remove
    some text files from v-sim to move them into v-sim-common.

    [ Sylvestre Ledru ]
  * Change of my email address since I am now DD
  * Removal of Torsten on his request
  * DM-Upload-Allowed removed
  * New build-dep on gfortran

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Nov 2009 09:40:00 +0100

v-sim (3.4.4-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release).
  * Correct the copyright file, extending copyright to 2009, adding
    Lherbier as upstream author and correcting the Lintian warning
    about the versionless symlink of GPL (put it on GPL-2 only).
  * Upgrade standard value field in control file to 3.8.1 (no other
    change is required for this upgrade).

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 08 Jun 2009 13:14:34 +0200

v-sim (3.4.3-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release).
  * Correct the lintian warning on the manpage.
  * Correct the copyright issue from lintian report.
  * Differentiate the short description of the different packages.

   [ Sylvestre Ledru ]
  *  Added Damien Caliste <damien.caliste@cea.fr> as uploader

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 16 Feb 2009 15:12:45 +0100

v-sim (3.4.2-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release).

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 08 Dec 2008 18:24:45 +0100

v-sim (3.4.1-1) unstable; urgency=low

  * Fix some lintian warnings

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 30 Oct 2008 10:05:45 +0100

v-sim (3.4.1-0) unstable; urgency=low

  * New upstream version.

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 10 Sep 2008 17:18:33 +0200
 

v-sim (3.4.0.3-3) unstable; urgency=low

  * Lintian warning removed: useless dep to quilt

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 11 Aug 2008 19:01:24 +0200

v-sim (3.4.0.3-2) unstable; urgency=low

  * Explicit dependencies removed (Closes: #492777)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 29 Jul 2008 11:00:28 +0200

v-sim (3.4.0.3-1) unstable; urgency=low

  [ Damien Caliste ]
  * configure options updated
  * new package v-sim-plugins created
  * Menu item added
  * Desktop item added
  * New upstream version (change some file locations to avoid images in
    library locations)
  * Correct extended description of v-sim-plugins to have indentation
  * Correct the menu section
  * Remove the v-sim-doc.links file since it only apply to developer doc.
  * Move the dependencies on libnetcdf and libopenbabel from the main
    package to the plugin one

  [ Sylvestre Ledru ]
  * New upstream version
  * SVN URLs updated
  * orig-tar.sh script updated to repack bz2 => gz
  * watch file updated
  * Standards-Version updated to 3.8.0.1
  * Merge changes from upstream
  * Lintian warning {post,pre}inst-has-useless-call-to-ldconfig removed
  * Lintian override added v-sim-common: extra-license-file we do need them 
    since they are needed by the application itself.
  * Images for the menu moved to the v-sim package instead of v-sim-common
  * Depends on libopenbabel3 instead of libopenbabel2

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 24 Jul 2008 11:19:24 +0200

v-sim (3.3.3-1) unstable; urgency=low

  * Initial release (Closes: #480476)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 25 Apr 2008 23:27:11 +0200
