=== debian/control ===
Source: v-sim
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Damien Caliste <damien.caliste@cea.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), cdbs, autotools-dev, 
 mesa-common-dev, libglu1-mesa-dev, pkg-config, libglib2.0-dev,
 libgtk2.0-dev, libnetcdf-dev, libopenbabel-dev (>=2.2.0), 
 gtk-doc-tools, gfortran, gobject-introspection, python-gobject-dev,
 libgirepository1.0-dev, gir1.2-gtk-2.0
Standards-Version: 3.9.2.0
Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/v-sim/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/v-sim/

Package: v-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 v-sim-common (= ${source:Version})
Suggests: v-sim-doc, v-sim-plugins (= ${binary:Version})
Description: Visualize atomic structures
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 The rendering is done in pseudo-3D with spheres (atoms) or arrows (spins).
 The user can interact through many functions to choose the view, set the
 bindings, draw cutting planes, compute surfaces from scalar fields,
 duplicate nodes, measure geometry... Moreover V_Sim allows one to export the
 view as images in PNG, JPG, PDF (bitmap), SVG (scheme) and other formats.
 Some tools are also available to colorize atoms from data values or to
 animate on screen many position files.

Package: v-sim-common
Architecture: all
Depends: ${misc:Depends}
Description: Visualize atomic structures (support files)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 This is the arch independent common parts of V_Sim.

Package: gir1.2-v-sim-1.0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${gir:Depends}
Description: Visualize atomic structures (gir bindings)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: v-sim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Visualize atomic structures (example files)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 A comprehensive manual is available on the web site,
 see http://inac.cea.fr/L_Sim/V_Sim/user_guide.html.
 .
 This package contains several examples of files readable with V_Sim.

Package: v-sim-plugins
Architecture: any
Depends: v-sim (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 gir1.2-v-sim-1.0 (= ${binary:Version})
Suggests: netcdf-bin
Description: Plugins for V_Sim (a 3D visualization package)
 This package contains the plugins to be used with V_Sim, a 3D
 visualization package for solid state physics. The available plugins are:
  - an input file plugin for the new ETSF file format (see http://www.etsf.eu).
  - an input file plugin using OpenBabel to import many formats, mainly from 
    the chemistry software (see http://www.openbabel.org).
  - an input file plugin to read the XcrysDen File Format.
  - an input file plugin to read the Cube file format introduced by
    Gaussian and used by others like SIESTA.
  - an additional panel to load Python scripts.
