## v-sim 3.7.0

=== debian/changelog ===
v-sim (3.7.0-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 26 Jan 2014 00:54:52 -0500

v-sim (3.7.0-2) unstable; urgency=low

  * Change gir1.2-v-sim-1.0 section from libs to introspection.
  * Make v-sim conflicts v-sim-common << 3.7.0-1 to allow upgrade
    from version 3.6.0-3 (Close: #723941).
  * Add a new python-v-sim package with the V_Sim python overrides
    for gobject-introspection.
  * Add missing libyaml-dev as build dependency.

 -- Damien Caliste <damien.caliste@cea.fr>  Wed, 25 Sep 2013 10:22:04 +0200

v-sim (3.7.0-1) unstable; urgency=low

  [ Damien Caliste ]
  * Merge patches/python-includes.diff upstyream.
  * New upstream release with new capabilities and improvements.
  * Put the desktop file in the binary package to correct Lintian
    warning desktop-command-not-in-package.
  * Compile with Gtk3.0.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Sep 2013 16:38:04 +0200

v-sim (3.6.0-3) unstable; urgency=low

  * Team upload
  * Fix FTBFS (Closes: #713277). See python-includes.diff
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Aug 2013 16:54:02 +0200
