=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: v-sim
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Caliste <damien.caliste@cea.fr>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5), cdbs, autotools-dev, 
+Build-Depends: debhelper (>= 5), cdbs, dh-autoreconf, 
  mesa-common-dev, libglu1-mesa-dev, pkg-config, libglib2.0-dev,
- libgtk2.0-dev, libnetcdf-dev, libopenbabel-dev (>=2.2.0), 
- gtk-doc-tools, gfortran, gobject-introspection, python-gobject-dev,
- libgirepository1.0-dev, gir1.2-gtk-2.0
-Standards-Version: 3.9.2.0
+ libgtk-3-dev, libnetcdf-dev, libopenbabel-dev (>=2.2.0), 
+ gtk-doc-tools, gfortran, gobject-introspection, python-gi-dev,
+ libgirepository1.0-dev, gir1.2-gtk-3.0, libftgl-dev, libarchive-dev,
+ python-all-dev, libyaml-dev, python-gi-dev, python-gobject-dev
+Standards-Version: 3.9.4
 Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/v-sim/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/v-sim/
@@ -18,6 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  v-sim-common (= ${source:Version})
+Conflicts: v-sim-common (<< 3.7.0-1)
 Suggests: v-sim-doc, v-sim-plugins (= ${binary:Version})
 Description: Visualize atomic structures
  V_Sim visualizes atomic structures such as crystals, grain boundaries,
@@ -41,9 +43,9 @@
  This is the arch independent common parts of V_Sim.
 
 Package: gir1.2-v-sim-1.0
-Section: libs
+Section: introspection
 Architecture: any
-Depends: ${misc:Depends}, ${gir:Depends}
+Depends: ${misc:Depends}, ${gir:Depends}, v-sim (= ${binary:Version})
 Description: Visualize atomic structures (gir bindings)
  V_Sim visualizes atomic structures such as crystals, grain boundaries,
  molecules and so on (either in binary format, or in plain text format).
@@ -67,7 +69,7 @@
 Package: v-sim-plugins
 Architecture: any
 Depends: v-sim (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- gir1.2-v-sim-1.0 (= ${binary:Version})
+ gir1.2-v-sim-1.0 (= ${binary:Version}), python-v-sim (= ${source:Version})
 Suggests: netcdf-bin
 Description: Plugins for V_Sim (a 3D visualization package)
  This package contains the plugins to be used with V_Sim, a 3D
@@ -79,3 +81,18 @@
   - an input file plugin to read the Cube file format introduced by
     Gaussian and used by others like SIESTA.
   - an additional panel to load Python scripts.
+
+Package: python-v-sim
+Section: python
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         gir1.2-v-sim-1.0 (>= ${binary:Version}),
+         python-gi
+Suggests: v-sim-plugins
+Description: Python bindings for V_Sim (a 3D visualization package)
+ Using gobject-introspection and python-gobject, one can access V_Sim API
+ using Python.
+ .
+ This package contains the Python bindings for V_Sim, a 3D
+ visualization package for solid state physics.
