=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008-2013 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_USER_FLAGS := --with-gtk3 --with-etsf-file-format --with-openbabel --with-xsf --with-cube --with-archives --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(DEB_DESTDIR)
DEB_INSTALL_DOCS_v-sim := -XAUTHORS -Xbugs -XREADME -XNEWS -Xtodo -XChangeLog
DEB_INSTALL_DOCS_v-sim-doc := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_v-sim-plugins := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_gir1.2-v-sim-1.0 := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_python-v-sim := -XAUTHORS -XREADME -XNEWS

# Avoid postinst-has-useless-call-to-ldconfig
DEB_DH_MAKESHLIBS_ARGS_v-sim-plugins := -n
# Avoid compressing files that are required as clear texts by V_Sim.
DEB_DH_COMPRESS_ARGS_ALL := -Xlicence.fr.txt -Xlicence.en.txt -XChangeLog.fr -XChangeLog.en
# Avoid unfound .gir for the typelib
DEB_DH_GIREPOSITORY_ARGS := -pgir1.2-v-sim-1.0

#install/v-sim-doc::
#	rm -rf debian/tmp/usr/share/gtk-doc

binary-install/python-v-sim::
	dh_python2 -ppython-v-sim --no-guessing-deps

get-orig-source:
	-uscan --upstream-version 0
