## v-sim 3.7.1

=== debian/changelog ===
v-sim (3.7.1-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el
      by getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 30 Apr 2014 19:22:58 -0400

v-sim (3.7.1-1) unstable; urgency=low

  * New upstream release with bug corrections for 3.7.0.
  * Standards-Version updated to 3.9.5

 -- Damien Caliste <damien.caliste@cea.fr>  Wed, 09 Apr 2014 12:03:45 +0200
