=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gtk-doc-tools, gfortran, gobject-introspection, python-gi-dev,
  libgirepository1.0-dev, gir1.2-gtk-3.0, libftgl-dev, libarchive-dev,
  python-all-dev, libyaml-dev, python-gi-dev, python-gobject-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/v-sim/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/v-sim/
