## v-sim 3.7.2

=== debian/changelog ===
v-sim (3.7.2-8build7) jammy; urgency=medium

  * No-change rebuild against libnetcdf19

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 29 Oct 2021 10:23:02 +0000

v-sim (3.7.2-8build6) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 12:22:07 +0200

v-sim (3.7.2-8build4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 13:08:34 +0200

v-sim (3.7.2-8build3) groovy; urgency=medium

  * Rebuild against new libopenbabel7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 10:14:18 +0200

v-sim (3.7.2-8build2) groovy; urgency=medium

  * No-change rebuild against libnetcdf18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 May 2020 17:16:17 +0000

v-sim (3.7.2-8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:46 +0100

v-sim (3.7.2-8) unstable; urgency=medium

  * Team upload.
  * Update openbabel plugin to be compatible with OpenBabel 3.x.

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Jan 2020 16:28:07 +1100

v-sim (3.7.2-7) unstable; urgency=medium

  * Team upload.
  * Drop the Python 2 module package (Closes: #938803).
  * Add a Python 3 module package.
    - modify build system to find and use Python 3
  * Add Rules-Requires-Root: no.
  * Update Vcs fields to canonical form.
  * Drop obsolete Conflicts.

 -- Stuart Prescott <stuart@debian.org>  Thu, 23 Jan 2020 00:51:51 +1100

v-sim (3.7.2-6) unstable; urgency=low

  * Standards-Version updated to 4.2.0
  * Add Multi-Arch: foreign to v-sim-common and v-sim-doc
  * Add a Comment= entry in v_sim.desktop
  * Fix the overrides importation of Python module (Closes: #896226)

 -- Damien Caliste <damien.caliste@cea.fr>  Thu, 26 Jul 2018 15:50:43 +0200

v-sim (3.7.2-5) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Build-Depends: dh-python
  * Drop autotools-dev from Build-Depends
  * Drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2018 12:45:43 +0100

v-sim (3.7.2-4) unstable; urgency=medium

  * Team upload
  * Drop the python-gobject-dev dep (Closes: #879052)
  * Standards-Version updated 4.1.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 20 Oct 2017 10:22:43 +0200

v-sim (3.7.2-3) unstable; urgency=low

  * debian/compat updated to 10
  * removed v-sim.menu (correct Lintian command-in-menu-file-and-desktop-file)

 -- Damien Caliste <damien.caliste@cea.fr>  Mon, 14 Nov 2016 14:07:45 +0100

v-sim (3.7.2-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependencies (Closes: #837865)
  * Standards-Version updated to 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Nov 2016 12:20:51 +0100

v-sim (3.7.2-1) unstable; urgency=low

  * New upstream release with bug corrections for 3.7.0.
  * Standards-Version updated to 3.9.6
  * Fix FTBFS (Closes: #750306)

 -- Damien Caliste <damien.caliste@cea.fr>  Tue, 06 Jan 2015 12:31:45 +0100
