=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Copyright 2008-2013 Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/gnome.mk
 
@@ -21,11 +20,13 @@
 # Avoid unfound .gir for the typelib
 DEB_DH_GIREPOSITORY_ARGS := -pgir1.2-v-sim-1.0
 
+export PYTHON=python3
+
 #install/v-sim-doc::
 #	rm -rf debian/tmp/usr/share/gtk-doc
 
-binary-install/python-v-sim::
-	dh_python2 -ppython-v-sim --no-guessing-deps
+binary-install/python3-v-sim::
+	dh_python3 -ppython3-v-sim --no-guessing-deps
 
 get-orig-source:
 	-uscan --upstream-version 0
