=== debian/watch ===
version=3
opts=filenamemangle=s/.*v_sim-(.*).tar.bz2/v-sim_$1.orig.tar.bz2/,downloadurlmangle=s{-confirm.en.html\?}{/} \
  http://inac.cea.fr/L_Sim/V_Sim/download.html .*v_sim-(.*).tar.bz2 \
debian debian/orig-tar.sh
