## v-sim 3.8.0

=== debian/changelog ===
v-sim (3.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Set program_name using PyConfig to fix FTBFS. (Closes: #1075614)

  [ Andreas Tille ]
  * New upstream version
  * Fix Homepage
  * Use gitmode in watch file
  * Switch from cdbs to dh
  * Ignore build time test suite errors
  * d/control:
     - Drop Build-Depends: gnome-common
     - Build-Depends: s/pkg-config/pkgconf/
  * Standards-Version: 4.7.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Fix DEP3 header
  * Fix dh_missing

  [ Simon McVittie ]
  * Add dh-sequence-gir to Build-Depends.

  [ Santiago Vila ]
  * Fix build failure on i386.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Feb 2025 13:25:00 +0100

v-sim (3.7.2-9) unstable; urgency=medium

  [ Florian Ernst ]
  * Fix FTBFS with Python>=3.10 by regenerating configure at build time
    (Closes: #1008749)

  [ Ileana Dumitrescu ]
  * Update to dep5 copyright version 1.0
  * Fixed some other lintian issues

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Remove deprecated Encoding key from desktop file debian/v-sim.desktop.
  * Update standards version to 4.2.1, no changes needed.

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Mon, 14 Nov 2022 21:28:37 +0100
