=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: v-sim
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Caliste <damien.caliste@cea.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cdbs,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-gir,
                mesa-common-dev,
                libglu1-mesa-dev,
-               pkg-config,
+               pkgconf,
                libglib2.0-dev,
                libgtk-3-dev,
                libnetcdf-dev,
                libopenbabel-dev,
-               libtool-bin,
                gtk-doc-tools,
                gfortran,
                gobject-introspection,
@@ -27,12 +25,11 @@
                python3-all-dev,
                libyaml-dev,
                intltool,
-               gnome-common,
                autoconf-archive
-Standards-Version: 4.2.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/science-team/v-sim
 Vcs-Git: https://salsa.debian.org/science-team/v-sim.git
-Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
+Homepage: https://gitlab.com/l_sim/v_sim/
 Rules-Requires-Root: no
 
 Package: v-sim
