=== debian/changelog ===
v-sim (3.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Damien Caliste ]
  * New upstream version 3.9.0.
    Closes: #1114431
  * Don't package .so library, fix Lintian warning
    link-to-shared-library-in-wrong-package
  * Update soname in override, fix Lintian warning mismatched-override

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)
  * Build-Depends: libgirepository1.0-dev => gobject-introspection (>= 1.80)
  * More national-encoding lintian-overrides

  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1114431)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Oct 2025 22:28:43 +0200
