=== debian/control ===
--- 
+++ 
@@ -6,8 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-gir,
-               mesa-common-dev,
-               libglu1-mesa-dev,
                pkgconf,
                libglib2.0-dev,
                libgtk-3-dev,
@@ -18,15 +16,14 @@
                gobject-introspection,
                python3-gi,
                python-gi-dev,
-               libgirepository1.0-dev,
+               gobject-introspection (>= 1.80),
                gir1.2-gtk-3.0,
-               libftgl-dev,
                libarchive-dev,
                python3-all-dev,
                libyaml-dev,
                intltool,
                autoconf-archive
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/v-sim
 Vcs-Git: https://salsa.debian.org/science-team/v-sim.git
 Homepage: https://gitlab.com/l_sim/v_sim/
@@ -84,7 +81,7 @@
  molecules and so on (either in binary format, or in plain text format).
  .
  A comprehensive manual is available on the web site,
- see http://inac.cea.fr/L_Sim/V_Sim/user_guide.html.
+ see https://l_sim.gitlab.io/v_sim/user_guide.html.
  .
  This package contains several examples of files readable with V_Sim.
