=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 
-DEB_CONFIGURE_USER_FLAGS := --with-gtk3 --with-etsf-file-format --with-openbabel --with-xsf --with-cube --with-archives --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc
+DEB_CONFIGURE_USER_FLAGS := --with-etsf-file-format --with-openbabel --with-xsf --with-cube --with-archives --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc
 
 export PYTHON=python3
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 #install/v-sim-doc::
 #	rm -rf debian/tmp/usr/share/gtk-doc
