=== debian/watch ===
version=4

opts="mode=git, dversionmangle=auto" \
   https://gitlab.com/l_sim/v_sim.git refs/tags/@ANY_VERSION@
